Index: common/html-coverpage/static/js/bloodhound.js
===================================================================
--- common/html-coverpage/static/js/bloodhound.js	(revision d8a1037cbc7258b3e918d4bff13446aac5cefb97)
+++ common/html-coverpage/static/js/bloodhound.js	(revision d8a1037cbc7258b3e918d4bff13446aac5cefb97)
@@ -0,0 +1,30 @@
+
+var states = new Bloodhound({
+  remote: '/search/autocomplete/?q=%QUERY',
+  datumTokenizer: function(d) {
+    return Bloodhound.tokenizers.whitespace(d.value);
+  },
+  queryTokenizer: Bloodhound.tokenizers.whitespace,
+  limit: 15
+});
+
+// kicks off the loading/processing of `local` and `prefetch`
+states.initialize();
+
+$('#bloodhound .typeahead').typeahead({
+  hint: true,
+  highlight: true,
+  minLength: 1
+},
+{
+  name: 'states',
+  displayKey: 'value',
+  // `ttAdapter` wraps the suggestion engine in an adapter that                                        
+  // is compatible with the typeahead jQuery plugin
+  source: states.ttAdapter()
+});
+
+
+$('#search_input').bind('typeahead:selected', function(obj, datum, name) {      
+  $("form").submit();
+});
Index: common/html-coverpage/static/rtems/js/catalogue.js
===================================================================
--- common/html-coverpage/static/rtems/js/catalogue.js	(revision d8a1037cbc7258b3e918d4bff13446aac5cefb97)
+++ common/html-coverpage/static/rtems/js/catalogue.js	(revision d8a1037cbc7258b3e918d4bff13446aac5cefb97)
@@ -0,0 +1,76 @@
+/*!
+ * Catalogue 0.1
+ * Copyright 2017 Chris Johns <chrisj@rtems.org>
+ * Licensed under the MIT license
+ */
+
+function parseCatalogue(xml) {
+    if (window.DOMParser)
+    {
+        parser = new DOMParser();
+        xmlDoc = parser.parseFromString(xml, "text/xml");
+    }
+    else // Internet Explorer
+    {
+        xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
+        xmlDoc.async = false;
+        xmlDoc.loadXML(xml);
+    }
+    return xmlDoc;
+}
+
+function catalogueHeader(date) {
+    return '<table class="table table-condensed table-nonfluid">\n' +
+	' <tbody>\n' +
+	'  <thead><tr><th>Built: ' + date + '</th><th>PDF</th><th>Single Page</th></tr></thead>\n';
+}
+function catalogueFooter() {
+    return ' </tbody>\n' +
+	'</table>\n';
+}
+
+function loadCatalogue(path) {
+    var el_cat_title = $('#rtems-catalogue-title');
+    var el_cat = $('#rtems-catalogue');
+
+    var f = $.get(path, function(xml) {
+	/*
+	 * Use jquery as XMLDocument is consider not stable on Firefox's web site.
+	 */
+	var pdfIcon = 'static/images/Adobe_PDF_file_icon_32x32.png';
+	var htmlIcon = 'static/images/html-xxl.png';
+	var docs = $(xml).find('rtems-docs');
+	var date = $(docs).attr('date');
+	var title = $(docs).find('catalogue');
+	var table = catalogueHeader(date);
+	$(docs).find('doc').each(function() {
+	    var name = $(this).find('name').text();
+	    var title = $(this).find('title').text();
+	    var release = $(this).find('release').text();
+	    var version = $(this).find('version').text();
+	    var html = $(this).find('html').text();
+	    var pdf = $(this).find('pdf').text();
+	    var singlehtml = $(this).find('singlehtml').text();
+	    var empty = '<td></a></td>\n';
+	    table += '<tr>\n';
+	    if (html)
+		table += '<td><a href="' + html + '">' + title + '</a></td>\n';
+	    else
+		table += empty;
+	    if (pdf)
+		table += '<td><a href="' + '/' + pdf + '">' +
+ 		    '<img src="' + pdfIcon + '" width="20" height="20"></a></td>\n';
+	    else
+		table += empty;
+	    if (singlehtml)
+		table += '<td><a href="' + '/' + singlehtml + '">' +
+		    '<img src="' + htmlIcon + '" width="20" height="20"></a></td>\n';
+	    else
+		table += empty;
+	    table += '</tr>\n';
+	});
+	table += catalogueFooter();
+	el_cat_title.html('<h3>' + $(title).text() + '</h3>');
+	el_cat.html(table);
+    }, 'xml');
+}
Index: wscript
===================================================================
--- wscript	(revision 1e9f28ceebbda5d696ac0a64afb91f45e0205bb6)
+++ wscript	(revision d8a1037cbc7258b3e918d4bff13446aac5cefb97)
@@ -10,5 +10,5 @@
 import waf as docs_waf
 
-version = 'Master (4.11.99)'
+version = '4.11 (4.11.2)'
 
 build_all = ['user',
@@ -40,8 +40,18 @@
     for b in building:
         ctx.recurse(b)
+
+    #
+    # Build the catalogue and install with the coverpage and static content.
+    #
     ctx(rule = catalogue,
         target = 'catalogue.xml',
         source = ['wscript', 'common/waf.py'])
     ctx.install_files('${PREFIX}', 'catalogue.xml')
+    ctx.install_files('${PREFIX}', 'common/html-coverpage/index.html')
+    static_dir = ctx.path.find_dir('common/html-coverpage/static')
+    ctx.install_files('${PREFIX}/static',
+                      static_dir.ant_glob('**'),
+                      cwd = static_dir,
+                      relative_trick = True)
 
 def install(ctx):
